Get isolation¶
GET/
Endpoint API · Endpoint Isolation
Get isolation settings for an endpoint.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
endpointId | path | string (uuid) | Yes | Endpoint ID. |
Request samples¶
curl -X GET "https://api-<data-region>.central.sophos.com/endpoint/v1/endpoints/<endpointId>/isolation" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.get(
"https://api-<data-region>.central.sophos.com/endpoint/v1/endpoints/<endpointId>/isolation",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/endpoints/<endpointId>/isolation" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/endpoint/v1/endpoints/<endpointId>/isolation", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/endpoints/<endpointId>/isolation", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Endpoint isolation settings.¶
Response fields
enabledbooleanrequiredWhether the endpoint should be isolated or not.
lastEnabledAtstring (datetime)When isolation was last enabled for the endpoint.
lastEnabledByobjectShow child attributesHide child attributes
idstringrequiredPrincipal Email or clientId.
typestring (enum)requiredPrincipal type.
Must be one of:
Must be one of:
user, service, system.namestringUser Principal name.
accountTypestringAccount type.
Must be one of:
Must be one of:
partner, tenant, organization.accountIdstring (uuid)Account ID.
lastDisabledAtstring (datetime)When isolation was last disabled for the endpoint.
lastDisabledByobjectShow child attributesHide child attributes
idstringrequiredPrincipal Email or clientId.
typestring (enum)requiredPrincipal type.
Must be one of:
Must be one of:
user, service, system.namestringUser Principal name.
accountTypestringAccount type.
Must be one of:
Must be one of:
partner, tenant, organization.accountIdstring (uuid)Account ID.
commentstringReason endpoint should be isolated or not.
Must be at most 400 characters long.
Must be at most 400 characters long.
Errors¶
| Status | Meaning |
|---|---|
400 | Bad request. |
404 | Can't find endpoint. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
Response examples¶
200¶
{
"enabled": true,
"lastEnabledAt": "string",
"lastEnabledBy": {
"id": "string",
"type": "user",
"name": "string",
"accountType": "partner",
"accountId": "00000000-0000-0000-0000-000000000000"
},
"lastDisabledAt": "string",
"lastDisabledBy": {
"id": "string",
"type": "user",
"name": "string",
"accountType": "partner",
"accountId": "00000000-0000-0000-0000-000000000000"
},
"comment": "string"
}
See the guide for a narrative walkthrough of this API.